/*!
 * nuxt-pnp v2.14.12-2 (c) 2016-2020
 * - Sebastien Chopin (@Atinux)
 * - Alexandre Chopin (@alexchopin)
 * - Pooya Parsa (@pi0)
 * - Clark Du (@clarkdo)
 * - Jonas Galvez (@galvez)
 * - Alexander Lichter (@manniL)
 * - Dmitry Molotkov (@aldarund)
 * - Kevin Marrec (@kevinmarrec)
 * - Pim (@pimlie)
 * - All the amazing contributors
 * Released under the MIT License.
 * Website: https://nuxtjs.org
*/
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const path = require('path');
const builder = require('@nuxt/builder');
const webpack = require('@nuxt/webpack');
const generator = require('@nuxt/generator');
const core = require('@nuxt/core');
const server = require('@nuxt/server');
const vueApp = require('@nuxt/vue-app');
const cli = require('@nuxt/cli');

function _interopNamespace(e) {
	if (e && e.__esModule) return e;
	var n = Object.create(null);
	if (e) {
		Object.keys(e).forEach(function (k) {
			if (k !== 'default') {
				var d = Object.getOwnPropertyDescriptor(e, k);
				Object.defineProperty(n, k, d.get ? d : {
					enumerable: true,
					get: function () {
						return e[k];
					}
				});
			}
		});
	}
	n['default'] = e;
	return Object.freeze(n);
}

const builder__namespace = /*#__PURE__*/_interopNamespace(builder);
const webpack__namespace = /*#__PURE__*/_interopNamespace(webpack);
const generator__namespace = /*#__PURE__*/_interopNamespace(generator);
const core__namespace = /*#__PURE__*/_interopNamespace(core);
const server__namespace = /*#__PURE__*/_interopNamespace(server);
const vueApp__namespace = /*#__PURE__*/_interopNamespace(vueApp);

const babelPresetApp = path.resolve(__dirname, '../dist/babel-preset-app/src/index.js');

const pnp = /*#__PURE__*/Object.freeze({
	__proto__: null,
	babelPresetApp: babelPresetApp,
	builder: builder__namespace,
	webpack: webpack__namespace,
	generator: generator__namespace,
	core: core__namespace,
	server: server__namespace,
	vueApp: vueApp__namespace
});

global.__NUXT_PNP__ = pnp;

Object.keys(builder).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return builder[k];
		}
	});
});
Object.keys(generator).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return generator[k];
		}
	});
});
Object.keys(core).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return core[k];
		}
	});
});
Object.keys(server).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return server[k];
		}
	});
});
Object.defineProperty(exports, 'getWebpackConfig', {
	enumerable: true,
	get: function () {
		return cli.getWebpackConfig;
	}
});
Object.defineProperty(exports, 'run', {
	enumerable: true,
	get: function () {
		return cli.run;
	}
});
